# Use an official Python runtime as a parent image
FROM ghcr.io/astral-sh/uv:debian

# Set environment variables
ENV PYTHONDONTWRITEBYTECODE=1
ENV PYTHONUNBUFFERED=1

# Set work directory
WORKDIR /app

# Copy application files
COPY ./app /app
# Copy the pyproject.toml and uv.lock because this project's structure is chopped
COPY ./pyproject.toml ./uv.lock /app

# Make start.sh executable
RUN chmod +x /app/start.sh

# Specify the entrypoint script
ENTRYPOINT ["/app/start.sh"]
